### Method

# Secret Service get_secrets_for_dbus_paths_finish

#### Declaration [src]

    GHashTable*
    secret_service_get_secrets_for_dbus_paths_finish (
      SecretService* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Complete asynchronous operation to get the secret values for an secret items stored in the service.

Items that are locked will not be included the results.

Stability: | Unstable
This method is not directly available to language bindings.

#### Parameters

`result` | `GAsyncResult`
| Asynchronous result passed to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GHashTable`
| A newly allocated hash table of item path keys to `SecretValue` values.
| The caller of the method takes ownership of the data, and is responsible for freeing it.